import { TimeAxisBase } from "./TimeAxisBase";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisBreakCollection } from "./TimeAxisBreakCollection";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { TimeAxisIntervalCollection } from "./TimeAxisIntervalCollection";
import { Type, IList$1, EventArgs } from "igniteui-angular-core";
import { TimeAxisLabelFormat } from "./TimeAxisLabelFormat";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-angular-core";
import { CultureInfo } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class TimeXAxis extends TimeAxisBase implements ITimeRangeSelectorAxis {
    static $t: Type;
    constructor();
    protected get_cb(): boolean;
    dw(a: number, b: ScalerParams): number;
    gn(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    protected startCursor(): void;
    protected resetCursor(): void;
    private mm;
    dz(a: number, b: ScalerParams): number;
    private l6;
    readonly breaks: TimeAxisBreakCollection;
    private mc;
    readonly labelFormats: TimeAxisLabelFormatCollection;
    protected gu(a: any, b: string, c: any, d: any): void;
    protected hi(a: Rect, b: Rect): void;
    protected hh(a: Rect, b: Rect): void;
    cn(): boolean;
    private _omission;
    private omission;
    private m0;
    private l4;
    private mf;
    private mj;
    private mz;
    fj(a: number): string;
    e6(a: any): any;
    static mn(a: Date, b: number, c: IList$1<TimeAxisLabelFormat>, d: CultureInfo): any;
    protected get_k1(): boolean;
    protected set_k1(a: boolean): void;
    private ma;
    readonly intervals: TimeAxisIntervalCollection;
    private mp;
    static mq(a: number): string;
    private static l3;
    private static l5;
    private l8;
    private l9;
    protected g7(a: boolean): void;
    private me;
    private mg;
    private my;
    private mi;
    visibleMinimum: Date;
    private mh;
    visibleMaximum: Date;
    protected ly(): void;
    jt(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    i$f(a: number): number;
    private m1;
    private m3;
    private m2;
    protected get_b3(): boolean;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    private mw;
    static mv(a: (arg1: number) => Date, b: number): number;
    private mu;
    protected lu(): void;
    static ms(a: number): string;
    itemLabelFormat(): string;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected lg(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected lj(a: Rect, b: Rect, c: Rect, d: Rect): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
}
